| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cuda::CannyEdgeDetector Class Referenceabstract
CUDA-accelerated Computer Vision » Image Processing

Base class for Canny Edge Detector. : More...

`#include <opencv2/cudaimgproc.hpp>`

Collaboration diagram for cv::cuda::CannyEdgeDetector:

## Public Member Functions
virtual void | detect (InputArray dx, InputArray dy, OutputArray edges, Stream &stream=Stream::Null())=0
virtual void | detect (InputArray image, OutputArray edges, Stream &stream=Stream::Null())=0
| Finds edges in an image using the [48] algorithm.
virtual int | getAppertureSize () const =0
virtual double | getHighThreshold () const =0
virtual bool | getL2Gradient () const =0
virtual double | getLowThreshold () const =0
virtual void | setAppertureSize (int apperture_size)=0
virtual void | setHighThreshold (double high_thresh)=0
virtual void | setL2Gradient (bool L2gradient)=0
virtual void | setLowThreshold (double low_thresh)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for Canny Edge Detector. :

## Member Function Documentation

## ◆ detect() [1/2]

virtual void cv::cuda::CannyEdgeDetector::detect | ( | InputArray | dx,
|  | InputArray | dy,
|  | OutputArray | edges,
|  | Stream & | stream = Stream::Null() )
| pure virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Parameters

  dx | First derivative of image in the vertical direction. Support only CV_32S type.
  dy | First derivative of image in the horizontal direction. Support only CV_32S type.
  edges | Output edge map. It has the same size and type as image.
  stream | Stream for the asynchronous version.

## ◆ detect() [2/2]

virtual void cv::cuda::CannyEdgeDetector::detect | ( | InputArray | image,
|  | OutputArray | edges,
|  | Stream & | stream = Stream::Null() )
| pure virtual

Finds edges in an image using the [48] algorithm.

Parameters

  image | Single-channel 8-bit input image.
  edges | Output edge map. It has the same size and type as image.
  stream | Stream for the asynchronous version.

## ◆ getAppertureSize()

virtual int cv::cuda::CannyEdgeDetector::getAppertureSize | ( |  | ) | const
| pure virtual

## ◆ getHighThreshold()

virtual double cv::cuda::CannyEdgeDetector::getHighThreshold | ( |  | ) | const
| pure virtual

## ◆ getL2Gradient()

virtual bool cv::cuda::CannyEdgeDetector::getL2Gradient | ( |  | ) | const
| pure virtual

## ◆ getLowThreshold()

virtual double cv::cuda::CannyEdgeDetector::getLowThreshold | ( |  | ) | const
| pure virtual

## ◆ setAppertureSize()

virtual void cv::cuda::CannyEdgeDetector::setAppertureSize | ( | int | apperture_size | ) |
| pure virtual

## ◆ setHighThreshold()

virtual void cv::cuda::CannyEdgeDetector::setHighThreshold | ( | double | high_thresh | ) |
| pure virtual

## ◆ setL2Gradient()

virtual void cv::cuda::CannyEdgeDetector::setL2Gradient | ( | bool | L2gradient | ) |
| pure virtual

## ◆ setLowThreshold()

virtual void cv::cuda::CannyEdgeDetector::setLowThreshold | ( | double | low_thresh | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/cudaimgproc.hpp